org.appng.api

## Class PermissionOwner

- java.lang.Object
- - org.appng.api.PermissionOwner

-     public final class PermissionOwner
      extends Object

  This is a container for a set of `Permission`s, making it easier for a `PermissionProcessor` to check those.
  Author:
    Matthias Müller
  See Also:
    `PermissionProcessor`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionOwner(Action action)` Creates a new PermissionOwner from an `Action`.
    `PermissionOwner(ActionRef actionRef)` Creates a new PermissionOwner from `ActionRef`.
    `PermissionOwner(Config config)` Creates a new PermissionOwner from a `Config`.
    `PermissionOwner(Datasource datasource)` Creates a new PermissionOwner from a `Datasource`.
    `PermissionOwner(DatasourceRef datasourceRef)` Creates a new PermissionOwner from an `DatasourceRef`.
    `PermissionOwner(Event event)` Creates a new PermissionOwner from an `Event`.
    `PermissionOwner(Linkable linkable)` Creates a new PermissionOwner from a `Linkable`.
    `PermissionOwner(Linkpanel linkpanel)` Creates a new PermissionOwner from a `Linkpanel`.
    `PermissionOwner(OutputFormat outputFormat)` Creates a new PermissionOwner from an `OutputFormat`.
    `PermissionOwner(OutputType outputType)` Creates a new PermissionOwner from an `OutputType`.
    `PermissionOwner(PageDefinition page)` Creates a new PermissionOwner from `PageDefinition`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of this `PermissionOwner`
    `Collection<Permission>` | `getPermissions()` Returns all `Permission`s owned by this `PermissionOwner`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionOwner

          public PermissionOwner(PageDefinition page)

      Creates a new PermissionOwner from `PageDefinition`.
      Parameters:
        `page` - the `PageDefinition`

    - #### PermissionOwner

          public PermissionOwner(Event event)

      Creates a new PermissionOwner from an `Event`.
      Parameters:
        `event` - the `Event`

    - #### PermissionOwner

          public PermissionOwner(Action action)

      Creates a new PermissionOwner from an `Action`.
      Parameters:
        `action` - the `Action`

    - #### PermissionOwner

          public PermissionOwner(ActionRef actionRef)

      Creates a new PermissionOwner from `ActionRef`.
      Parameters:
        `actionRef` - the `ActionRef`

    - #### PermissionOwner

          public PermissionOwner(Datasource datasource)

      Creates a new PermissionOwner from a `Datasource`.
      Parameters:
        `datasource` - the `Datasource`

    - #### PermissionOwner

          public PermissionOwner(DatasourceRef datasourceRef)

      Creates a new PermissionOwner from an `DatasourceRef`.
      Parameters:
        `datasourceRef` - the `DatasourceRef`

    - #### PermissionOwner

          public PermissionOwner(OutputType outputType)

      Creates a new PermissionOwner from an `OutputType`.
      Parameters:
        `outputType` - the `OutputType`

    - #### PermissionOwner

          public PermissionOwner(OutputFormat outputFormat)

      Creates a new PermissionOwner from an `OutputFormat`.
      Parameters:
        `outputFormat` - the `OutputFormat`

    - #### PermissionOwner

          public PermissionOwner(Linkable linkable)

      Creates a new PermissionOwner from a `Linkable`.
      Parameters:
        `linkable` - the `PermissionOwner`

    - #### PermissionOwner

          public PermissionOwner(Linkpanel linkpanel)

      Creates a new PermissionOwner from a `Linkpanel`.
      Parameters:
        `linkpanel` - the `Linkpanel`

    - #### PermissionOwner

          public PermissionOwner(Config config)

      Creates a new PermissionOwner from a `Config`.
      Parameters:
        `config` - the `Config`

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of this `PermissionOwner`
      Returns:
        the name of this `PermissionOwner`

    - #### getPermissions

          public Collection<Permission> getPermissions()

      Returns all `Permission`s owned by this `PermissionOwner`.
      Returns:
        the `Permission`s

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.